Online Help

Expat Management System – Online Help

Labour Market Regulatory Authority

April 2007


Chapter 1 - Introduction

Labour Market Reform-Information Technology (LMR-IT) is a project that aims at automating the processes and workflows of the Labour Market Regulatory Authority (LMRA). LMRA is a program aiming to restructure the labour market in Bahrain in order to make Bahrainis the employees of choice and the private sector the engine of growth. As part of LMR-IT, Expat Management System (EMS), Fee Management (FMS) and Market Intelligence (MIS) will be developed to support the implementation of LMRA. This user manual explains the tasks and procedures of EMS.

The LMRA follows a hub-and-spoke principle, where the hub refers to LMRA and the spokes are the different external institutions interacting with LMRA, such as Ministry of Interior (MOI), Ministry of Labour and Social Affairs, Central Informatics Organisation (CIO), General Organisation of Social Insurance (GOSI), Ministry of Finance & National Economy, General Directorate of Nationality, Passport and Residence (GDNPR) and so on.

Related Topics
1.1 Purpose of Expat Management System


1.1 Purpose of Expat Management System

The proposed system aims to reduce the manual interface between the Expats, public, at large, and the officers of the various government organisations.

EMS is developed to:

· Improve productivity in expat business processes by raising the level of automation, reducing processing errors and reducing processing error rates

· Bring transparency through better information flow and end-to-end control of processes

· Bring change from the administration oriented processes to customer oriented processes

· Reduce processing time for various business requirements

· Enhance accountability

Chapter 1 - Introduction


Chapter 2 - Common Screen Elements

The common screen elements in EMS are given below:

This option… | Allows you to…
 | View the next screen
 | Terminate the action
 | Remove the entered details and reset the screen
 | Go back to the previous screen
 | Continue with the action
 | Submit work permit application or sponsor registration application in the database.


Chapter 3 - Getting Started

This chapter describes the different users of EMS and helps you understand the procedure for logging into EMS. EMS is a web-based application and can be accessed using Internet Explorer (IE).

Related Topics
3.1 User Roles
3.2 Viewing EMS Login Page
3.3 Logging into EMS
3.4 Single Sponsor Registration
3.5 Batch Sponsor Registration


3.1 User Roles

The different users of EMS are:

· Sponsor

· Authorized Person

· Customer Service Officer

· Data Entry Officer

· Process Control Officer

· Immigration Officer

· Enforcement Officer

· Fee Collections Officer

· Supervisor

· Administrator

Chapter 3 - Getting Started


3.2 Viewing EMS Login Page

To view the Login page:

1. Enter the URL www.lmra.gov.bh in Internet Explorer (IE) and click Go. The EMS Login Page appears.

Figure 1: EMS Login Page

2. The EMS Login Page is the entry point into EMS. You can perform the following tasks in this page:

· Logging into EMS using the sponsor, authorized person, customer service, data entry, process control, supervisor, fees collection, enforcement officer or administrator with the respective User ID and Password.

· Searching details of expats using the CPR number as the search criteria.

· Registering as a Sponsor.


3.3 Logging into EMS

To login to EMS:

1. Select the preferred Language from the drop down list in the EMS Login Page.

2. Enter the User Id and Password.

· If you are a sponsor, the Welcome Page with CR/Unit number or the Individual CPR number appears.

Figure 2: Sponsor List

Click on the CR/Unit number for performing Commercial/Government/NCNG tasks or click on the Individual CPR number for performing individual sponsor tasks. The Home Page with the list of the submitted work permit applications appears on the screen.

Figure 3: Work Permit Application List

· If you are an LMRA officer, the Home Page with the list of the submitted work permit applications appears directly for all the CR/ Unit number owner and individual sponsor.

The User ID and password is provided by LMRA. You will be prompted to change the password when you log into EMS for the first time.


3.4 Single Sponsor Registration

To register as a sponsor:

3. Go to the EMS Login Page.

4. Click Register as a Sponsor. The Sponsor Registration Details screen appears.

Figure 4: Sponsor Registration Details

5. Choose the Sponsor type from the drop down list.

6. Input the CR/Unit number or the CPR in the required field.

7. Click on Search. The System Response screen appears.

Figure 5: System Response

8. The details of the CR/ Unit number only shall appear.

Figure 6: Sponsor Registration - Details

9. Fill in the all the fields, where the fields with * are mandatory.

10. Click Upload Documents, if you have documents to upload (not mandatory). Upload Documents screen appears.

Figure 7: Upload Documents

11. Browse for the document that you want to upload.

12. Click Upload. Document Uploaded screen appears.

Figure 8: Document Uploaded

13. Click Save & Close. The Sponsor Registration – Details screen appears.

14. Click Submit Registration. Registration Confirmation screen appears.

Figure 9: Registration Confirmation

15. Click OK. Application Submitted screen appears.

Figure 10: Application Submitted

16. Click OK. Welcome Page appears.

In the Sponsor Registration Details screen, choose the type of sponsor and follow the tips below to fill the empty field to its right.

· Government and Non Government sponsor must enter the Unit number

· Commercial sponsor must enter the CR number

· Individual sponsor must enter the CPR number


3.5 Batch Sponsor Registration

Sponsors with more than one CR number can register for all their companies at once.

To register all the companies under one CR number, follow the steps below:

17. Login (Refer Section 3.3) as Customer Service officer with appropriate User Id and Password. Customer Service Login page appears.

Figure 11: Customer Service Login Page

18. Click Batch Sponsor Reg. Batch Sponsor Registration page appears.

19. Enter CR number.

20. Click Search. The Companies_To_Be_Appoved screen appears.

Figure 12: Companies_To_Be_Approved

21. Select the companies that you want to approve, by clicking the check boxes to the left.

22. Click Next. Sponsor General Details screen appears.

Figure 13: Sponsor General Details

23. Enter all relevant details in the empty fields.

24. Click Submit. Batch Registration Confirmation screen appears.

Figure 14: Batch Registration Confirmation

25. Click OK. Batch Sponsor Registration application is successfully submitted.

· Batch Sponsor Registration task can be carried out by the Customer Service Officer only.